Class::Inspector::Functions(3)

NAME
Class::Inspector::Functions - Get information about a class and its structure

SYNOPSIS
  use Class::Inspector::Functions;
  # Class::Inspector provides a non-polluting,
  # method based interface!

  # Is a class installed and/or loaded
  installed( 'Foo::Class' );
  loaded( 'Foo::Class' );

  # Filename related information
  filename( 'Foo::Class' );
  resolved_filename( 'Foo::Class' );

  # Get subroutine related information
  functions( 'Foo::Class' );
  function_refs( 'Foo::Class' );
  function_exists( 'Foo::Class', 'bar' );
  methods( 'Foo::Class', 'full', 'public' );

  # Find all loaded subclasses or something
  subclasses( 'Foo::Class' );

DESCRIPTION
Class::Inspector::Functions is a function based interface of Class::Inspector. For a thorough documentation of the available functions, please check the manual for the main module.

  Exports
The following functions are exported by default.

  installed
  loaded
  filename
  functions
  methods
  subclasses

The following functions are exported only by request.

  resolved_filename
  loaded_filename
  function_refs
  function_exists

All the functions may be imported using the ":ALL" tag.

SUPPORT
Bugs should be reported via the CPAN bug tracker

<http://rt.cpan.org/NoAuth/ReportBug.html?Queue=Class-Inspector>

For other issues, or commercial enhancement or support, contact the author.

AUTHOR
Adam Kennedy <adamk@cpan.org>

Steffen Mueller <smueller@cpan.org>

SEE ALSO
<http://ali.as/>, Class::Handle

COPYRIGHT
Copyright 2002 - 2012 Adam Kennedy.

Class::Inspector::Functions copyright 2008 - 2009 Steffen Mueller.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.